Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.io.textresult
Class IObjectGroupTextResult

    java.lang.Object
      infomat.io.textresult.IObjectGroupTextResult

All Implemented Interfaces:
  HasProperties

    public class IObjectGroupTextResult

extends java.lang.Object
implements HasProperties

For loading and saving groups to text.

Field Summary
`private Properties` | `properties`
`private java.lang.String` | `separator`

Constructor Summary
`IObjectGroupTextResult()`
`IObjectGroupTextResult(Properties properties)`

Method Summary
`Properties` | `getDefaultProperties()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`static void` | `printGroupDTD(java.io.PrintWriter out)`
`void` | `printGroupXSL(java.io.PrintWriter pw)` Prints a basic XSL-file for IObjectGroup XML-files to a `PrintWriter`.
`void` | `printIObjectGroupXSLReference(java.io.PrintWriter pw, java.lang.String xslGroupFileName)` Prints a reference to the Properties-XSL-file to a `PrintWriter`.
`static void` | `printPartGroupDTD(java.io.PrintWriter out)`
`static void` | `printPartOfGroupingXSL(java.io.PrintWriter pw, java.lang.String context)`
`
`<T extends IVectorIndex> void`
` | `saveGroupFile(java.io.PrintWriter out, java.lang.String xslGroupFileName, IObjectGroup group, java.lang.String groupLocation, IVector<T> descriptionVec, ISimilarity similarity, java.lang.String ioUnknownLocation)`
`
`<T extends IVectorIndex> void`
` | `savePartGroupFile(java.io.PrintWriter out, IObjectGroup group, java.lang.String groupLocation, IVector<T> descriptionVec, ISimilarity similarity, java.lang.String ioUnknownLocation)`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    private Properties properties

### separator

    private java.lang.String separator

Constructor Detail

### IObjectGroupTextResult

    public IObjectGroupTextResult()

### IObjectGroupTextResult

    public IObjectGroupTextResult(Properties properties)

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

  Specified by:
    `getDefaultProperties` in interface `HasProperties`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

  Specified by:
    `getPropertyValue` in interface `HasProperties`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Specified by:
    `setProperty` in interface `HasProperties`
  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `HasProperties`

### setProperties

    public void setProperties(Properties properties)

  Specified by:
    `setProperties` in interface `HasProperties`

### printGroupDTD

    public static void printGroupDTD(java.io.PrintWriter out)

### printPartGroupDTD

    public static void printPartGroupDTD(java.io.PrintWriter out)

### saveGroupFile

    public <T extends IVectorIndex> void saveGroupFile(java.io.PrintWriter out,
                                                       java.lang.String xslGroupFileName,
                                                       IObjectGroup group,
                                                       java.lang.String groupLocation,
                                                       IVector<T> descriptionVec,
                                                       ISimilarity similarity,
                                                       java.lang.String ioUnknownLocation)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### savePartGroupFile

    public <T extends IVectorIndex> void savePartGroupFile(java.io.PrintWriter out,
                                                           IObjectGroup group,
                                                           java.lang.String groupLocation,
                                                           IVector<T> descriptionVec,
                                                           ISimilarity similarity,
                                                           java.lang.String ioUnknownLocation)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### printGroupXSL

    public void printGroupXSL(java.io.PrintWriter pw)
                       throws java.io.IOException

  Prints a basic XSL-file for IObjectGroup XML-files to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### printPartOfGroupingXSL

    public static void printPartOfGroupingXSL(java.io.PrintWriter pw,
                                              java.lang.String context)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### printIObjectGroupXSLReference

    public void printIObjectGroupXSLReference(java.io.PrintWriter pw,
                                              java.lang.String xslGroupFileName)
                                       throws java.io.IOException

  Prints a reference to the Properties-XSL-file to a `PrintWriter`.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD